import { request } from '/@/utils/service'


export function getAdMixSelect() {
  return request({
      url: '/api/ad_manage/portfolios/select_list',
      method: 'GET',
  })
}

export function postNegativeWordData(filteredRequestData) {
  return request({
      url: '/api/ad_manage/sptargets/add/negative/keywords/',
      method: 'post',
      data: filteredRequestData,
  })
}

export function getAssets(query) {
  return request({
      url: '/api/ad_manage/sb/assets/',
      method: 'get',
      params: query
  })
}

export function getLifeStyleAssets(query) {
  return request({
      url: '/api/ad_manage/sb/assets/',
      method: 'get',
      params: query
  })
}

export function getBrands(query) {
  return request({
    url: '/api/ad_manage/sb/getbrands/',
      method: 'get',
      params: query
  })
}

export function getStoreurl(query) {
  return request({
    url: '/api/ad_manage/sb/storeurl/',
      method: 'get',
      params: query
  })
}

export function getPageAsins(query) {
  return request({
    url: '/api/ad_manage/sb/getpageasins/',
      method: 'get',
      params: query
  })
}
export function getCommodityCard(query) {
  return request({
    url: '/api/sellers/listings/all/',
      method: 'get',
      params: query
  })
}

export function getVideoAssets(query) {
  return request({
      url: '/api/ad_manage/sb/assets/',
      method: 'get',
      params: query
  })
}

export function postCampaignsData(filteredRequestData) {
  return request({
      url: '/api/ad_manage/sdcampaigns/create/',
      method: 'post',
      data: filteredRequestData,
  })
}

export function videoDetailCreate(obj) {
  return request({
      url: '/api/ad_manage/sbads/video/create/',
      method: 'post',
      data: obj,
  })
}

export function postAdGroup(body) {
  return request({
      url: '/api/ad_manage/sdgroups/create/',
      method: 'post',
      data: body,
  })
}
export function getAudiencesList(query) {
  return request({
      url: '/api/ad_manage/sd/audienceslist/search/',
      method: 'get',
      params: query,
  })
}
export function postCustomOperation(body) {
  return request({
      url: '/api/ad_manage/sdtargets/create/',
      method: 'post',
      data: body,
  })
}
export function uploadFile(obj) {
  return request({
      url: '/api/ad_manage/assets/upload/',
      method: 'post',
      data: obj,
      headers: {
        'Content-Type': 'multipart/form-data'
      }
  })
}
export function checkAsset(obj) {
  return request({
      url: '/api/ad_manage/assets/checkasset/',
      method: 'post',
      data: obj,
  })
}
export function postCreative(obj) {
  return request({
      url: '/api/ad_manage/sdcreative/create/',
      method: 'post',
      data: obj,
  })
}